library ieee; use ieee.std_logic_1164.all;
    
entity tbench_mux4x1 is
end entity tbench_mux4x1;

architecture bench of tbench_mux4x1 is

	signal a : std_logic_vector(3 downto 0);
	signal sel : std_logic_vector(1 downto 0);
	signal z : std_logic;

begin
	mux : entity work.mux4x1(eqn)
	   port map (a, sel, z);	
	
	stimuli: process is

	begin

--	Set all inputs to 0
	a <= "0000"; 

--	Select input a(0)
	sel <= "00";
	wait for 20 ns;

--	Set a(0) to 1
	a(0) <= '1'; 
	wait for 20 ns;

--	Select input a(1)
	sel <= "01";
	wait for 20 ns;

--	Set a(1) to 1
	a(1) <= '1'; 
	wait for 20 ns;

--	Select input a(2)
	sel <= "10";
	wait for 20 ns;

--	Set a(2) to 1
	a(2) <= '1'; 
	wait for 20 ns;

--	Select input a(3)
	sel <= "11";
	wait for 20 ns;

--	Set a(3) to 1
	a(3) <= '1'; 
	wait for 20 ns;

	end process stimuli;

end architecture bench;	

